Il m’arrive d’acheter quelques titres sur amazonmp3 qui propose des tarifs intéressants. (0.99 au lieu de 1.29 chez la conccurence française). Le premier problème est que le « downloader » fourni par amazon ne fonctionne pas en 64 bits et ne marche pas non plus avec une version récente de mandriva. L’an dernier avec getlibs , un petit programme qui permet l’installation de paquets 32 bits sur une distribution 64 bits, on pouvait faire marcher ce programme tant bien bien que mal sous ubuntu mais depuis la 9.10 … ça merde ! :cry:

J’aurais pu rebooter sous windows mais c’est moins drôle. Alors voici la méthode pour continuer a faire des achats en utilisant ubuntu ou mandriva.

Pour mandriva 2010 spring :

Les mandriviens sont chanceux ! « Clamz » est dans les dépôts. Cherchez ce petit programme dans l’installateur mandriva et passez l’étape de compilation !

Pour ubuntu 10.04 :

Commençons déja par installer ces paquets qui vont nous servir a compiler un programme qui s’apelle « clamz ». :

libgcrypt11-dev

libexpat-dev

libcurl4-gnutls-dev

Téléchargez clamz sur cette page.

Une fois téléchargé , le programme soit se trouver dans votre dossier téléchargements.

La compilation du programme est simple. Ouvrez un terminal et c’est parti pour taper les commandes qui suivent :


cd Téléchargements

tar xfvz clam-04.tar.gz     (ou le nom fichier si la version a évolué, cette commande sert a décompresser l’archive)

cd clamz-0.4 (ou le nom de l’archive si il a changé)

./configure

make

sudo make install

(Reprendre ici pour les utilisateurs mandriva)

Cliquez sur ce lien pour activer amazonmp3 dans votre navigateur. Faites ensuite votre marché sur le site et tout a la fin faites enregistrer sous. Le fichier AMZ vous est proposé. C’est ce fameux fichier qu’est censé ouvrir le downloader d’amazon.

Le fichier amz doit donc se retrouver dans votre dossier téléchargements. Si le terminal n’est pas fermé tapez clamz amazonMP3-564646.amz   (le nom du fichier change évidemment)

Voici ce que vous devriez voir apparaître dans votre terminal :

Vos achats vont se télécharger les uns après les autres.

Qu’est ce qu’il ne faut pas faire pour quelques mp3… Amazon pourrait mettre à jour son programme…. :roll:

 

Ajout piur ubuntu  : Il existe deux scripts pour le downloader amazon. Le problème vient de la librairie libboost qui doit être dans une version plus ancienne que le logiciel fonctionne.

Script pour la version 32 bits :

mkdir old_boost
cd old_boost
wget https://launchpadlibrarian.net/26959932/libboost-signals1.34.1_1.34.1-16ubuntu1_i386.deb https://launchpadlibrarian.net/26959936/libboost-thread1.34.1_1.34.1-16ubuntu1_i386.deb https://launchpadlibrarian.net/26959922/libboost-iostreams1.34.1_1.34.1-16ubuntu1_i386.deb https://launchpadlibrarian.net/26959918/libboost-filesystem1.34.1_1.34.1-16ubuntu1_i386.deb https://launchpadlibrarian.net/26959916/libboost-date-time1.34.1_1.34.1-16ubuntu1_i386.deb https://launchpadlibrarian.net/26959928/libboost-regex1.34.1_1.34.1-16ubuntu1_i386.deb https://launchpadlibrarian.net/34165098/libicu40_4.0.1-2ubuntu2_i386.deb
sudo dpkg -i *.deb
cd ..
rm -r old_boost

script pour la version 64 bits :

#!/bin/sh

sudo dpkg -i --force-all ~/amazonmp3.deb
sudo apt-get install ia32-libs
wget http://frozenfox.freehostia.com/cappy/getlibs-all.deb
sudo dpkg -i getlibs-all.deb
sudo getlibs /usr/bin/amazonmp3
sudo getlibs -p gvfs
sudo getlibs -w http://ftp.osuosl.org/pub/ubuntu/pool/universe/b/boost/libboost-date-time1.34.1_1.34.1-16ubuntu1_i386.deb http://ftp.osuosl.org/pub/ubuntu/pool/universe/b/boost/libboost-filesystem1.34.1_1.34.1-16ubuntu1_i386.deb http://ftp.osuosl.org/pub/ubuntu/pool/universe/b/boost/libboost-iostreams1.34.1_1.34.1-16ubuntu1_i386.deb http://ftp.osuosl.org/pub/ubuntu/pool/universe/b/boost/libboost-regex1.34.1_1.34.1-16ubuntu1_i386.deb http://ftp.osuosl.org/pub/ubuntu/pool/universe/b/boost/libboost-signals1.34.1_1.34.1-16ubuntu1_i386.deb http://ftp.osuosl.org/pub/ubuntu/pool/universe/b/boost/libboost-thread1.34.1_1.34.1-16ubuntu1_i386.deb http://ftp.osuosl.org/pub/ubuntu/pool/main/i/icu/libicu40_4.0.1-2ubuntu2_i386.deb
sudo ldconfig

A vous de tester ! Voici la page du forum pour plus d’informations.